import { SimpleLocalIntegration } from '../../core/index.js';
import { AprilaireConfigFlow } from './aprilaire.classes.configflow.js';
import { createAprilaireDiscoveryDescriptor } from './aprilaire.discovery.js';
import type { IAprilaireConfig } from './aprilaire.types.js';
import { aprilaireDomain, aprilaireProfile } from './aprilaire.types.js';

export class AprilaireIntegration extends SimpleLocalIntegration<IAprilaireConfig> {
  public readonly domain = aprilaireDomain;
  public readonly discoveryDescriptor = createAprilaireDiscoveryDescriptor();
  public readonly configFlow = new AprilaireConfigFlow();

  constructor() {
    super(aprilaireProfile);
  }
}

export class HomeAssistantAprilaireIntegration extends AprilaireIntegration {}
